package com.patzn.lims.equip.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.dto.LmsEquipCheckManageDTO;
import com.patzn.lims.equip.entity.LmsEquipCheckManage;
import com.patzn.lims.equip.vo.LmsEquipCheckManageVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn
 * @since 2017-12-09
 */
public interface ILmsEquipCheckManageService extends IBaseService<LmsEquipCheckManage> {


    Page<LmsEquipCheckManageVO> pageVO(Page<LmsEquipCheckManageVO> page, LmsEquipCheckManageDTO lmsEquipCheckManageDTO);

    List<LmsEquipCheckManageVO> listVO(LmsEquipCheckManageDTO lmsEquipCheckManageDTO);

    LmsEquipCheckManageVO getVOById(Long id);

    boolean existByIds(Long[] ids);

    LmsEquipCheckManage getOne(Long checkId);


}
